
window.onload = function loader() {
	/* getElementById e' piuttosto interessante, serve per accedere agli elementi del DOM */
	var hello = document.getElementById('hello');
	hello.className = 'declared';
	var empty = document.getElementById('empty');
	addNode(empty,"benvenuti in");
	addNode(empty,"Metro Olografix");
	var children = empty.childNodes;
	for (var i=0; i<children.length; i++) {
		/* className serve semplicemente ad associare ad un elemento del dom una classe css */
		children[i].className='programmed';
	}
	/* accedendo all'attributo style possiamo modificare direttamente lo stile di un elemento */
	empty.style.border = 'solid green 2px';
	empty.style.width = "200px";
}

/* Questa funzione e' scritta per aggiungere degli elementi nel div empty che e' vuoto */
function addNode(el,text) {
	var childEl = document.createElement("div");
	el.appendChild(childEl);
	var txtNode = document.createTextNode(text);
	childEl.appendChild(txtNode);
}
