
var req = null;
var console = null;
var READY_STATE_UNINITIALIZED = 0;
var READY_STATE_LOADING = 1;
var READY_STATE_LOADED = 2;
var READY_STATE_INTERACTIVE = 3;
var READY_STATE_COMPLETE = 4;

function getXMLHTTPRequest() {
	var xRequest = null;
	if (window.XMLHttpRequest) {
		xRequest = new XMLHttpRequest(); // Mozilla/Safari
  	}
	else if (ActiveXObject) {
		xRequest = new ActiveXObject("Microsoft.XMLHTTP"); // Internet Explorer
  	}
  	return xRequest;
} 

function sendRequest(url,params,HttpMethod) {
	if (!HttpMethod) {
		HttpMethod = "POST";
	}
	req = getXMLHTTPRequest();
  	if (req) {
		req.onreadystatechange = onReadyState;
		req.open(HttpMethod,url,true);
		req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		req.send(params);
	}
}

function onReadyState() {
	var ready = req.readyState;
	var data = null;
  	if (ready==READY_STATE_COMPLETE) {
		data = req.responseText;
	}
	else {
    		data="loading...["+ready+"]";
  	}
  	toConsole(data);
}

function toConsole(data) {
  	if (console != null) {
		var newline = document.createElement("div");
		console.appendChild(newline);
		var txt = document.createTextNode(data);
		newline.appendChild(txt);
	}
}

window.onload = function() {
  	console = document.getElementById('console');
	sendRequest("esempio2.txt");
}
